Skip to main content
`Ctrl`+`K`

# DMPlexTransformApply

Execute the transformation, producing another `DM`

## Synopsis

    #include "petscdmplextransform.h"
    PetscErrorCode DMPlexTransformApply(DMPlexTransform tr, DM dm, DM *tdm)

Collective

## Input Parameters

- tr - The `DMPlexTransform` object

- dm - The original `DM`

## Output Parameter

- tdm - The transformed `DM`

## Options Database Keys

- -dm_plex_transform_label_match_strata - Only label points of the same stratum as the producing point

- -dm_plex_transform_label_replica_inc <num> - Increment for the label value to be multiplied by the replica number

- -dm_plex_transform_active <name> - Name for active mesh label

## See Also

Summary of Unstructured Mesh Transformations, DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexTransform`, `DMPlexTransformCreate()`, `DMPlexTransformSetDM()`

## Level

intermediate

## Location

src/dm/impls/plex/transform/interface/plextransform.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages